import React, {PropsWithChildren, useEffect} from 'react';
import {StyleSheet, View} from 'react-native';
import Orientation from 'react-native-orientation-locker';

export default function Deck(props: PropsWithChildren<{}>) {
  useEffect(() => {
    Orientation.lockToPortrait();
  });
  return (
    <>
      <View style={style.view}>{props.children}</View>
    </>
  );
}

const style = StyleSheet.create({
  view: {
    flex: 1,
    flexDirection: 'row',
    flexWrap: 'wrap',
  },
});
