import React from 'react';
import {StyleSheet, Text, TouchableHighlight, View} from 'react-native';

interface Props {
  text: string;
}

export default function DeckButton(props: Props) {
  return (
    <>
      <View style={style.view}>
        <TouchableHighlight
          style={style.touchable}
          underlayColor={'#f0f'}
          onPress={() => console.log(props.text)}
          onLongPress={() => console.log('long press')}>
          <Text style={style.text}>{props.text}</Text>
        </TouchableHighlight>
      </View>
    </>
  );
}

const style = StyleSheet.create({
  view: {
    backgroundColor: '#ff4000',
    flexBasis: (1 / 3) * 100 + '%',
    height: 80,
    borderColor: '#94f713',
    borderWidth: 1,
    flex: 1,
  },
  touchable: {
    width: '100%',
    height: '100%',
  },
  text: {
    //backgroundColor: '#ffbf00',
    textAlign: 'center',
  },
});
